Description

Allow users to define a separator that will be used to split-up elements. This is useful in case you want to match set of nodes and

then need something to help you split up the content in a way that makes it easy to parse.

For example, if you wanted to pull down the list of ingredients from 

http://allrecipes.com/Recipe/Chunky-Cheesecake-Brownies/Detail.aspx?evt19=1 then you would likely want each ingredient

separated by a semi-colon so that you could use a regular expression to pull out the ingredient and the quantity.

This separator would added between each node with text.

History

#1 - 07/11/2014 05:09 PM - Luke Murphey

- Target version changed from 0.7 to 0.9

#2 - 08/07/2014 06:26 PM - Luke Murphey

- Target version changed from 0.9 to 2.0

#3 - 01/15/2016 11:48 PM - Luke Murphey

- Priority changed from Normal to Low

#4 - 05/02/2016 04:15 AM - Luke Murphey

- Target version changed from 2.0 to 2.1

#5 - 05/18/2016 06:32 AM - Luke Murphey

- Description updated

#6 - 05/18/2016 06:40 AM - Luke Murphey

To make the input page simpler, I could add the following to be inserted before the legend tags on the page with logic that will show/hide the sections

optionally:

<input type="checkbox" value="1" onclick="" style="float: left;" />

#7 - 05/18/2016 06:52 AM - Luke Murphey

This adds the checkbox:

addCheckboxWidget = function(id){

    var name = $("#" + id + ' > fieldset > legend').text();

    $("#" + id + ' > fieldset > legend').html('<input type="checkbox" value="1" onclick="" style="float: left;

" />' + name );

}

addCheckboxWidget('item-authFields')
#8 - 05/18/2016 06:53 AM - Luke Murphey

Adding handler:

addCheckboxWidget = function(id){

    var name = $("#" + id + ' > fieldset > legend').text();

    $("#" + id + ' > fieldset > legend').html('<input type="checkbox" value="1" onclick="" style="float: left;

" />' + name );

     $("#" + id + ' > fieldset > legend > input ').click( function() {

          alert("k");

      });

}

addCheckboxWidget('item-authFields')

#9 - 05/18/2016 06:57 AM - Luke Murphey

Adding hiding/showing:

addCheckboxWidget = function(id){

    var name = $("#" + id + ' > fieldset > legend').text();

    $("#" + id + ' > fieldset > legend').html('<input type="checkbox" value="1" onclick="" style="float: left;

" />' + name );

     $("#" + id + ' > fieldset > legend > input ').click( function() {

          if ($(this).is(':checked')) {

            $("#" + id + ' > fieldset > div').show();

         } else {

             $("#" + id + ' > fieldset > div').hide();

         }

      });

}

addCheckboxWidget('item-authFields')

#10 - 05/18/2016 07:10 AM - Luke Murphey

Version that toggles fields based on a policy:
addCheckboxWidget = function(id, check_policy){

    var name = $("#" + id + ' > fieldset > legend').text();

    var checked=false;

    if(check_policy && check_policy()){

        checked = true;

    }

   var checked_val = "";

   if(checked){

        checked_val = "checked";

   }

    $("#" + id + ' > fieldset > legend').html('<input type="checkbox" "' + checked_val + '" style="float: left

;" />' + name );

     $("#" + id + ' > fieldset > legend > input ').click( function() {

          if ($(this).is(':checked')) {

            $("#" + id + ' > fieldset > div').show();

         } else {

             $("#" + id + ' > fieldset > div').hide();

         }

      });

    if(!checked){

         $("#" + id + ' > fieldset > div').hide();

    }

}

policy = function(){

  return $('#username_id').val().length > 0 || $('#password_id').val().length > 0;

}

addCheckboxWidget('item-authFields', policy)
#11 - 05/18/2016 08:16 AM - Luke Murphey

Need to have the group unchecked if no fields are filled in:

checked = false;

                    $("#item-authFields input:not(.optional_control)").each(function(index, element) {

                        if($(element).val().length > 0){

alert($(element).val());

                            checked = true;

                        }

                    });

alert(checked);

#12 - 05/20/2016 06:34 AM - Luke Murphey

Here is the call-stack:

run()

scrape_page()

get_result_single()

get_text()

#13 - 05/20/2016 07:49 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
